restinio::multipart_body::impl::parser_details::body_producer_t Struct Reference

A special producer that consumes the whole remaining content from the input stream. More...

`#include <multipart_body.hpp>`

Inheritance diagram for restinio::multipart_body::impl::parser_details::body_producer_t:

## Public Member Functions

RESTINIO_NODISCARD expected_t< string_view_t, easy_parser::parse_error_t > | try_parse (easy_parser::impl::source_t &from) const noexcept

## Additional Inherited Members

Public Types inherited from restinio::easy_parser::impl::producer_tag< string_view_t >
using | result_type = string_view_t
Static Public Attributes inherited from restinio::easy_parser::impl::producer_tag< string_view_t >
static constexpr entity_type_t | entity_type

## Detailed Description

A special producer that consumes the whole remaining content from the input stream.

Attention
  This producer can be seen as a hack. It can't be used safely outside the context for that this producer was created. It's because body_producer_t doesn't shift the current position in the input stream.

Since
  v.0.6.1

Definition at line 183 of file multipart_body.hpp.

## Member Function Documentation

## try_parse()

RESTINIO_NODISCARD expected_t< string_view_t, easy_parser::parse_error_t > restinio::multipart_body::impl::parser_details::body_producer_t::try_parse | ( | easy_parser::impl::source_t & | from | ) | const

inlinenoexcept

Definition at line 188 of file multipart_body.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/multipart_body.hpp